AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES           = TriggerEvent.h
yodaincdir                  = $(includedir)/yoda/event/physics/trigger
yodainc_HEADERS             = ${YODA_HEADER_FILES}

YODA_SOURCES                = TriggerEvent.cpp
BUILT_SOURCES               = TriggerEventDict.cpp TriggerEventDict.h

noinst_LTLIBRARIES          = libtriggerevent.la

libtriggerevent_la_SOURCES  = ${YODA_HEADER_FILES}   \
                              ${YODA_SOURCES}        \
                              ${BUILT_SOURCES}       \
                              LinkDef.h

TriggerEventDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	@ROOTCINT@ -f $@ -c ${INCLUDES} $^

